commit:     65ec57e21e0b4eb146abd3e336cec5ee7c496e94
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 17 18:11:14 2023 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Jun 17 18:13:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65ec57e2

app-xemacs/ebuild-mode: add 1.64

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 app-xemacs/ebuild-mode/Manifest                |  1 +
 app-xemacs/ebuild-mode/ebuild-mode-1.64.ebuild | 44 ++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/app-xemacs/ebuild-mode/Manifest b/app-xemacs/ebuild-mode/Manifest
index 61e0b4a08453..030d9414c8e7 100644
--- a/app-xemacs/ebuild-mode/Manifest
+++ b/app-xemacs/ebuild-mode/Manifest
@@ -1,3 +1,4 @@
 DIST ebuild-mode-1.60.tar.xz 36996 BLAKE2B 
a566c9f602ec6ac4126a4a13610e515faf2a02b8ca89f417a037a28f4b9ea633518d589d78f6deb54084be34cdc30c2a1896546b2f86c1166cedd47289edcfd8
 SHA512 
b04b37b7a376dc48a7f80ec0e60bf36a8b7ea92edcbdd45fbd002e80e8ea29111905a726177a869d607adffe78094efcdc94b1aad32afe1444a09b4e714dcecd
 DIST ebuild-mode-1.62.tar.xz 39080 BLAKE2B 
91bb206f7ca3fecebc80d946d5840ce6e02610171d6179d360b188e270226e4f1dbe4ceddbc1e41f8e627c787b28454a20720d563bbabcffb3a99b7b10a1251d
 SHA512 
9e7caafb45a7538dd66221d2a5dd9fef764c72f6f42db1ad1615e4017b7d4db14dcde09edfa0e8777a528af918e219521072040215d05a9c8a5cdc57ca395bd8
 DIST ebuild-mode-1.63.tar.xz 39600 BLAKE2B 
1746e0ab558fd7b48dc778f2287b3a9f2b5f82f5e4e53e353b0b9c3de3436a8ec17f827d93cf1ff990dd780a33435ea946e19ac655fd0f39fee03beb07ce5509
 SHA512 
264678921d8a2e535fedcc06c9c0932a4898f3d33cc54d79107658d9a77048e00c5ec276d4c74dc55c2ba2c643024453542f16619fde473d417b446bbd78175c
+DIST ebuild-mode-1.64.tar.xz 39872 BLAKE2B 
e6309f91276093d40c322e0b639c10067ac95f305a7333d4335182fc6f0bec34141bb3cac1fd577657a5d795338b1da0d1f2212b2c5fd6502d958129a1e8167b
 SHA512 
0c760946070882e93fb10dbad6f1ceb4977b2b9f0b7786c1a99ecde7b16874f840ac9877dc531503b216b0d030e779bb3d0f9cec9eeb40bb211ec6f20ebe0f88

diff --git a/app-xemacs/ebuild-mode/ebuild-mode-1.64.ebuild 
b/app-xemacs/ebuild-mode/ebuild-mode-1.64.ebuild
new file mode 100644
index 000000000000..89d7b413d785
--- /dev/null
+++ b/app-xemacs/ebuild-mode/ebuild-mode-1.64.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature
+
+DESCRIPTION="Emacs modes for editing ebuilds and other Gentoo specific files"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs";
+SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+
+RDEPEND=">=app-editors/xemacs-21.4.20-r5
+       app-xemacs/sh-script"
+BDEPEND="${RDEPEND}"
+
+src_compile() {
+       local XEMACS="${EPREFIX}/usr/bin/xemacs"
+
+       "${XEMACS}" -batch -q --no-site-file \
+               -eval "(add-to-list 'load-path \".\")" \
+               -f batch-byte-compile \
+               ebuild-mode.el gentoo-newsitem-mode.el || die
+
+       "${XEMACS}" -batch -q --no-site-file \
+               -eval "(setq autoload-package-name \"${PN}\")" \
+               -eval "(setq generated-autoload-file 
\"${S}/auto-autoloads.el\")" \
+               -l autoload -f batch-update-autoloads \
+               ebuild-mode.el gentoo-newsitem-mode.el || die
+}
+
+src_install() {
+       insinto /usr/share/xemacs/site-packages/lisp/${PN}
+       doins *.el *.elc
+}
+
+pkg_postinst() {
+       optfeature "ebuild commands support" sys-apps/portage
+       optfeature "additional development tools" dev-util/pkgdev
+       optfeature "ebuild QA utilities" dev-util/pkgcheck
+}

Reply via email to